'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var web3_js = require('@solana/web3.js');
var node_fs = require('node:fs');
var node_os = require('node:os');
var yaml = require('yaml');

/**
 * Copyright (c) 2022 Socean Finance
 * Based on https://github.com/igneous-labs/solana-cli-config
 *
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 *
 */
const DEFAULT_PATH = `${node_os.homedir()}/.config/solana/cli/config.yml`;
function loadSolanaKeypair(path = DEFAULT_PATH) {
  const {
    keypair_path: keypairPath
  } = yaml.parse(node_fs.readFileSync(path, 'utf-8'));
  return web3_js.Keypair.fromSecretKey(Buffer.from(JSON.parse(node_fs.readFileSync(keypairPath, 'utf-8'))));
}

exports.loadSolanaKeypair = loadSolanaKeypair;
//# sourceMappingURL=loadSolanaKeypair.cjs.map
