import { Keypair } from '@solana/web3.js';
import { readFileSync } from 'node:fs';
import { homedir } from 'node:os';
import { parse } from 'yaml';

/**
 * Copyright (c) 2022 Socean Finance
 * Based on https://github.com/igneous-labs/solana-cli-config
 *
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 *
 */
const DEFAULT_PATH = `${homedir()}/.config/solana/cli/config.yml`;
function loadSolanaKeypair(path = DEFAULT_PATH) {
  const {
    keypair_path: keypairPath
  } = parse(readFileSync(path, 'utf-8'));
  return Keypair.fromSecretKey(Buffer.from(JSON.parse(readFileSync(keypairPath, 'utf-8'))));
}

export { loadSolanaKeypair };
//# sourceMappingURL=loadSolanaKeypair.mjs.map
